from django.conf import settings
from django.conf.urls.static import static
from django.urls import path
from . import views

app_name = 'mapsapp'

urlpatterns = [
    path('3dmap', views.CesiumMapView.as_view(), name='3dmap'),
    path('2dmap', views.LeafletMapView.as_view(), name='2dmap'),
    path('api/footprint-names/<int:sat_id>', views.GetFootprintsView.as_view(), name="footprint_names"),
    path('api/transponders/<int:sat_id>', views.GetTransponderOnSatIdView.as_view(), name='transponders_data'),
    path('tiles/<str:footprint_name>/<int:z>/<int:x>/<int:y>.png', views.TileProxyView.as_view(), name='tile_proxy'),
]